Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Memory Analyzer » Problem in installing the Eclipse Memory Analyzer
Problem in installing the Eclipse Memory Analyzer [message #638378] Thu, 11 November 2010 00:39 Go to next message
vaibhav  is currently offline vaibhav
Messages: 22
Registered: September 2010
Junior Member
Hi,

When i am trying to install eclipse memory analyzer, i will get following options:

1. Memory Analyzer 1.0.1.201008091353
2. Memory Analyzer (Charts) [optional] 1.0.1.201008091353

I cant able to install second one its asking for some dependencies plugin .But first one i could able to install.

After installing, if i run the program with all Vm settings then i will not get .hprof file.

Can u please me in this ?

Thanks in advance,

Best Regards,
Vaibhav
Re: Problem in installing the Eclipse Memory Analyzer [message #639107 is a reply to message #638378] Mon, 15 November 2010 05:41 Go to previous messageGo to next message
Andrew Johnson is currently offline Andrew Johnson
Messages: 119
Registered: July 2009
Senior Member
It sounds like you are installing Memory Analyzer into an Eclipse instance. The Memory Analyzer dependencies for charts e.g. BIRT should be resolved via the Helios site too.

You could try the stand-alone build instead.

http://www.eclipse.org/mat/downloads.php

>After installing, if i run the program with all Vm settings then i will not get .hprof file.

I don't understand this.
Are you trying to acquire a heap dump?



Re: Problem in installing the Eclipse Memory Analyzer [message #648397 is a reply to message #638378] Wed, 12 January 2011 12:29 Go to previous messageGo to next message
Philippe EUGENE is currently offline Philippe EUGENE
Messages: 26
Registered: January 2011
Junior Member
Hello,
I just download the stand-alone version of MAT (release 1.0.1 and 1.0.0).
When i try to launch the product i obtain the stacktrace below ( at the launch of the RCP app).

The archive on the donwload page are OK ?
Thanks for reply.

!SESSION 2011-01-12 18:13:43.956 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.4.2_03
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=fr_FR
Command-line arguments: -os win32 -ws win32 -arch x86

!ENTRY org.eclipse.equinox.app 0 0 2011-01-12 18:13:44.519
!MESSAGE Product org.eclipse.mat.ui.rcp.MemoryAnalyzer could not be found.

!ENTRY org.eclipse.osgi 4 0 2011-01-12 18:13:44.550
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDe faultApp(EclipseAppContainer.java:236)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run (MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:368)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java: 559)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
at org.eclipse.equinox.launcher.Main.run(Main.java:1311)

!ENTRY org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle update@plugins/org.eclipse.mat.jdt_1.0.1.201008091353.jar was not resolved.
!SUBENTRY 2 org.eclipse.mat.jdt 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.jdt.ui_0.0.0.
!SUBENTRY 2 org.eclipse.mat.jdt 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.jdt.core_0.0.0.

!ENTRY org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.birt.chart.device.extension_2.5.0.v20090514 [15] was not resolved.
!SUBENTRY 2 org.eclipse.birt.chart.device.extension 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.chart.engine_[2.1.0,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.birt.chart.device.swt_2.5.0.v20090514 [16] was not resolved.
!SUBENTRY 2 org.eclipse.birt.chart.device.swt 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.chart.engine_[2.1.0,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.birt.chart.engine.extension_2.5.0.v20090527 [17] was not resolved.
!SUBENTRY 2 org.eclipse.birt.chart.engine.extension 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.chart.engine_[2.1.0,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.birt.chart.engine_2.5.0.v20090604 [18] was not resolved.
!SUBENTRY 2 org.eclipse.birt.chart.engine 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.emf.ecore_[2.2.0,3.0.0).
!SUBENTRY 2 org.eclipse.birt.chart.engine 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.emf.ecore.xmi_[2.2.0,3.0.0).
!SUBENTRY 2 org.eclipse.birt.chart.engine 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.core_[2.1.0,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.birt.core_2.5.0.v20090601 [19] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.emf.common_2.5.0.v200906151043 [44] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.emf.ecore.xmi_2.5.0.v200906151043 [45] was not resolved.
!SUBENTRY 2 org.eclipse.emf.ecore.xmi 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.emf.ecore_[2.5.0,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.emf.ecore_2.5.0.v200906151043 [46] was not resolved.
!SUBENTRY 2 org.eclipse.emf.ecore 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.emf.common_[2.5.0,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.mat.api_1.0.1.201008091353 [76] was not resolved.
!SUBENTRY 2 org.eclipse.mat.api 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.mat.report_1.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.mat.chart.ui_1.0.1.201008091353 [77] was not resolved.
!SUBENTRY 2 org.eclipse.mat.chart.ui 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.mat.chart_1.0.0.
!SUBENTRY 2 org.eclipse.mat.chart.ui 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.mat.ui_1.0.0.
!SUBENTRY 2 org.eclipse.mat.chart.ui 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.chart.device.extension_2.2.0.
!SUBENTRY 2 org.eclipse.mat.chart.ui 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.chart.device.swt_2.2.0.
!SUBENTRY 2 org.eclipse.mat.chart.ui 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.chart.engine.extension_2.2.0.
!SUBENTRY 2 org.eclipse.mat.chart.ui 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.chart.engine_2.2.0.
!SUBENTRY 2 org.eclipse.mat.chart.ui 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.core_2.2.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.mat.chart_1.0.1.201008091353 [78] was not resolved.
!SUBENTRY 2 org.eclipse.mat.chart 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.mat.api_1.0.0.
!SUBENTRY 2 org.eclipse.mat.chart 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.birt.chart.engine_2.2.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.628
!MESSAGE Bundle org.eclipse.mat.dtfj_1.0.1.201008091353 [79] was not resolved.
!SUBENTRY 2 org.eclipse.mat.dtfj 2 0 2011-01-12 18:13:44.628
!MESSAGE Missing required bundle org.eclipse.mat.parser_1.0.0.
!SUBENTRY 2 org.eclipse.mat.dtfj 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing optionally required bundle com.ibm.dtfj.api_1.3.0.
!SUBENTRY 2 org.eclipse.mat.dtfj 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing imported package com.ibm.dtfj.*_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.644
!MESSAGE Bundle org.eclipse.mat.hprof_1.0.1.201008091353 [80] was not resolved.
!SUBENTRY 2 org.eclipse.mat.hprof 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing required bundle org.eclipse.mat.parser_1.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.644
!MESSAGE Bundle org.eclipse.mat.ibmdumps_1.0.1.201008091353 [81] was not resolved.
!SUBENTRY 2 org.eclipse.mat.ibmdumps 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing required bundle org.eclipse.mat.api_1.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.644
!MESSAGE Bundle org.eclipse.mat.jdt_1.0.1.201008091353 [82] was not resolved.
!SUBENTRY 2 org.eclipse.mat.jdt 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing required bundle org.eclipse.mat.api_1.0.0.
!SUBENTRY 2 org.eclipse.mat.jdt 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing required bundle org.eclipse.jdt.ui_0.0.0.
!SUBENTRY 2 org.eclipse.mat.jdt 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing required bundle org.eclipse.jdt.core_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.644
!MESSAGE Bundle org.eclipse.mat.parser_1.0.1.201008091353 [83] was not resolved.
!SUBENTRY 2 org.eclipse.mat.parser 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing required bundle org.eclipse.mat.api_1.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.644
!MESSAGE Bundle org.eclipse.mat.report_1.0.1.201008091353 [84] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.644
!MESSAGE Bundle org.eclipse.mat.ui.rcp_1.0.1.201008091353 [86] was not resolved.
!SUBENTRY 2 org.eclipse.mat.ui.rcp 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing required bundle org.eclipse.mat.ui_1.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.644
!MESSAGE Bundle org.eclipse.mat.ui_1.0.1.201008091353 [87] was not resolved.
!SUBENTRY 2 org.eclipse.mat.ui 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing required bundle org.eclipse.mat.api_1.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.644
!MESSAGE Bundle org.hamcrest.core_1.1.0.v20090501071000 [114] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-01-12 18:13:44.644
!MESSAGE Bundle org.junit4_4.5.0.v20090423 [115] was not resolved.
!SUBENTRY 2 org.junit4 2 0 2011-01-12 18:13:44.644
!MESSAGE Missing required bundle org.hamcrest.core_1.1.0.
Re: Problem in installing the Eclipse Memory Analyzer [message #648488 is a reply to message #648397] Thu, 13 January 2011 02:54 Go to previous message
Krum Tsvetkov is currently offline Krum Tsvetkov
Messages: 149
Registered: July 2009
Senior Member
Hi,

You need at least a 1.5 JDK to run Memory Analyzer. Newer versions are also OK. From the log it seems that you have a 1.4.2:

!SESSION 2011-01-12 18:13:43.956 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.4.2_03
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=fr_FR

See also http://wiki.eclipse.org/index.php/MemoryAnalyzer/FAQ#Problem s_Starting_the_Memory_Analyzer
Previous Topic:Installing MAT on Linux
Next Topic:MAT: deadlocks and stalled threads
Goto Forum:
  


Current Time: Mon Sep 01 03:40:54 EDT 2014

Powered by FUDForum. Page generated in 0.01792 seconds